Package org.jbpm.bpmn2.xml

## Class AdHocSubProcessHandler

- java.lang.Object
- - org.drools.core.xml.BaseAbstractHandler
  - - org.jbpm.bpmn2.xml.AbstractNodeHandler
    - - org.jbpm.bpmn2.xml.AbstractCompositeNodeHandler
      - - org.jbpm.bpmn2.xml.CompositeContextNodeHandler
        - - org.jbpm.bpmn2.xml.AdHocSubProcessHandler

- All Implemented Interfaces:
    `org.drools.core.xml.Handler`

      public class AdHocSubProcessHandler
      extends CompositeContextNodeHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `AUTOCOMPLETE_COMPLETION_CONDITION` |
    `static List<String>` | `AUTOCOMPLETE_EXPRESSIONS` |

    - ### Fields inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler

      `dataInputs, dataOutputs, EOL, inputAssociation, logger, outputAssociation`

    - ### Fields inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, validParents, validPeers`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AdHocSubProcessHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Node` | `createNode​(Attributes attrs)` |
    `Class` | `generateNodeFor()` |
    `protected void` | `handleNode​(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)` |
    `void` | `writeNode​(Node node, StringBuilder xmlDump, int metaDataType)` |

    - ### Methods inherited from class org.jbpm.bpmn2.xml.CompositeContextNodeHandler

      `getSubNodes`

    - ### Methods inherited from class org.jbpm.bpmn2.xml.AbstractCompositeNodeHandler

      `getSubConnections, visitConnectionsAndAssociations`

    - ### Methods inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler

      `checkSignalAndConvertToRealSignalNam, containsExtensionElements, end, endNode, endNode, extractScript, getDataType, getErrorIdForErrorCode, getMetaData, handleScript, handleThrowCompensationEventNode, initValidParents, initValidPeers, readDataInputAssociation, readDataOutputAssociation, readIoSpecification, readMultiInstanceLoopCharacteristics, start, writeExtensionElements, writeJavaAction, writeMetaData, writeNode, writeScript, writeScripts, writeVariableName`

    - ### Methods inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.xml.Handler

      `allowNesting, getValidParents, getValidPeers`

- - ### Field Detail

    - #### AUTOCOMPLETE_COMPLETION_CONDITION

          public static final String AUTOCOMPLETE_COMPLETION_CONDITION

      See Also:
        Constant Field Values

    - #### AUTOCOMPLETE_EXPRESSIONS

          public static final List<String> AUTOCOMPLETE_EXPRESSIONS

  - ### Constructor Detail

    - #### AdHocSubProcessHandler

          public AdHocSubProcessHandler()

  - ### Method Detail

    - #### createNode

          protected Node createNode​(Attributes attrs)

      Overrides:
        `createNode` in class `CompositeContextNodeHandler`

    - #### generateNodeFor

          public Class generateNodeFor()

      Specified by:
        `generateNodeFor` in interface `org.drools.core.xml.Handler`
      Overrides:
        `generateNodeFor` in class `CompositeContextNodeHandler`

    - #### handleNode

          protected void handleNode​(Node node,
                                    Element element,
                                    String uri,
                                    String localName,
                                    org.drools.core.xml.ExtensibleXmlParser parser)
                             throws SAXException

      Overrides:
        `handleNode` in class `AbstractNodeHandler`
      Throws:
        `SAXException`

    - #### writeNode

          public void writeNode​(Node node,
                                StringBuilder xmlDump,
                                int metaDataType)

      Overrides:
        `writeNode` in class `CompositeContextNodeHandler`